
/**
 * Agregate class storing Student objects.
 * Provides iterators using the iterator pattern
 * 
 * @author JP Vergara 
 * @version 1.2
 */
 
 package students;
 
public class StudentList
{
    Student[] list;  // package access
    int count;       // package access
    public static final int MAX = 100;

    public StudentList()
    {
    	list = new Student[MAX];
    	count = 0;
    }

    public void add( Student s )
    {
    	if ( count == MAX )
    	{
    		System.out.println( "List full." );
    	}
    	else
    	{
    		list[count++] = s;
    	}
    }
    
    public Student find( String name )
    {
    	for( int i = 0; i < count; i++ )
    	{
    		if ( list[i].getName().equals( name ) )
    		{
    			return list[i];
    		}
    	}
    	return null;
    }
    
    public StudentListIterator getIterator()
    {
    	return new RegularIterator( this );
    }


}
